summaryrefslogtreecommitdiff
path: root/x11-apps/xinit/files/startDM.sh
diff options
context:
space:
mode:
authorV3n3RiX <venerix@gmail.com>2014-11-30 02:47:05 +0200
committerV3n3RiX <venerix@gmail.com>2014-11-30 02:47:05 +0200
commit320eacba135418ed594f4bf56d1b800450684e32 (patch)
treed8809f7910970831cbd92068c10842081cce90ca /x11-apps/xinit/files/startDM.sh
parent1ef8e53a80beb163ec407536582da6d11e4fa737 (diff)
fix one 8 year long standing bug in xinit/startx
Diffstat (limited to 'x11-apps/xinit/files/startDM.sh')
-rwxr-xr-xx11-apps/xinit/files/startDM.sh31
1 files changed, 31 insertions, 0 deletions
diff --git a/x11-apps/xinit/files/startDM.sh b/x11-apps/xinit/files/startDM.sh
new file mode 100755
index 00000000..ebb79704
--- /dev/null
+++ b/x11-apps/xinit/files/startDM.sh
@@ -0,0 +1,31 @@
+#!/bin/sh
+# Copyright 1999-2011 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License, v2
+# $Header: /var/cvsroot/gentoo-x86/x11-apps/xinit/files/startDM.sh,v 1.5 2011/01/22 15:35:49 lxnay Exp $
+
+# We need to source /etc/profile for stuff like $LANG to work
+# bug #10190.
+. /etc/profile
+
+. /etc/init.d/functions.sh
+
+# baselayout-1 compat
+if ! type get_options >/dev/null 2>/dev/null ; then
+ [ -r "${svclib}"/sh/rc-services.sh ] && . "${svclib}"/sh/rc-services.sh
+fi
+
+# Great new Gnome2 feature, AA
+# We enable this by default
+export GDK_USE_XFT=1
+
+export SVCNAME=xdm
+EXEC="$(get_options service)"
+NAME="$(get_options name)"
+PIDFILE="$(get_options pidfile)"
+START_STOP_ARGS="$(get_options start_stop_args)"
+
+start-stop-daemon --start --exec ${EXEC} \
+${NAME:+--name} ${NAME} ${PIDFILE:+--pidfile} ${PIDFILE} ${START_STOP_ARGS} || \
+eerror "ERROR: could not start the Display Manager"
+
+# vim:ts=4